package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.activity.GjcWeighingStartActivity
import com.lukouguoji.gjc.databinding.ItemGjcWeighingBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcWeighingBean

/**
 * 国际出港计重列表 ViewHolder
 */
class GjcWeighingViewHolder(view: View) :
    BaseViewHolder<GjcWeighingBean, ItemGjcWeighingBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        // 整行点击跳转到开始计重页面
        binding.ll.setOnClickListener {
            GjcWeighingStartActivity.startForAdd(it.context, bean.maWbId)
        }
    }
}
